.nav-toggle {
    display: none;
}

.nav-toggle-label {
    top: 1.4rem;
    right: 1rem;
    display: flex;
    padding: .25rem;
    padding-top: .65rem;
    height: 1.5rem;
    border-radius: 5px;
}

.nav-toggle-label span,
.nav-toggle-label span::before,
.nav-toggle-label span::after {
    display: block;
    background: rgba(0, 0, 0, 1);
    height: .1rem;
    width: 1rem;
    border-radius: 2px;
    position: relative;
}

.nav-toggle-label span::before,
.nav-toggle-label span::after {
    content: '';
    position: absolute;
}

.nav-toggle-label span::before {
    bottom: 7px;
}

.nav-toggle-label span::after {
    top: 7px;
}

nav {
    position: absolute;
    text-align: center;
    top: 100%;
    left: 0;
    width: 100%;
    height: 100vh;
    transform: scale(1, 0);
    transform-origin: top;
    transition: transform 400ms ease-in-out;
    overflow: scroll;
    /*background: rgba(41, 98, 168, .75);*/
    /*background: rgba(255, 255, 255, .99);*/
    background-color: rgba(39, 40, 78, 0.95);
    /*background-image: linear-gradient(rgba(255, 255, 255, 0), rgba(255, 255, 255, .95));*/
}

.speedfast {
    transition: transform 1ms ease-in-out;
}

.speedslow {
    transition: transform 400ms ease-in-out;
}

nav ul {
    margin: 0;
    padding: 0;
    list-style: none;
    width: 100%;
    height: 60%;
    display: flex;
    gap: 1rem;
    flex-direction: column;
    justify-content: flex-start;
    align-content: flex-start;
}

nav li {
    /*margin-bottom: 1em;
    margin-left: 1em;*/
}

nav a {
    /*color: rgba(0, 0, 0, 1);*/
    color: rgba(255, 255, 255, .9);
    text-decoration: none;
    font-size: 1.25rem;
    text-transform: uppercase;
    letter-spacing: .5rem;
    opacity: 0;
    transition: opacity 150ms ease-in-out;
    text-decoration: none;
}

nav a:hover {
    /*color: rgba(0, 0, 0, 1);*/
    color: rgba(255, 255, 255, .9);
    text-decoration: none;
}

.nav-toggle:checked~nav {
    transform: scale(1, 1);
}

.nav-toggle:checked~nav a {
    opacity: 1;
    transition: opacity 250ms ease-in-out;
}